Debian Bug report logs - #681311
softhsm: /etc/softhsm/softhsm.conf managed by both softhsm and softhsm-common

version graph

Package: softhsm; Maintainer for softhsm is Ondřej Surý <ondrej@debian.org>; Source for softhsm is src:softhsm.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Thu, 12 Jul 2012 09:00:01 UTC

Severity: serious

Found in versions softhsm/1.1.4-4+squeeze1, softhsm/1.3.3-1

Fixed in version softhsm/1.3.3-2

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#681311; Package softhsm. (Thu, 12 Jul 2012 09:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Ondřej Surý <ondrej@debian.org>. (Thu, 12 Jul 2012 09:00:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: softhsm: /etc/softhsm/softhsm.conf managed by both softhsm and softhsm-common
Date: Thu, 12 Jul 2012 10:56:42 +0200
[Message part 1 (text/plain, inline)]
Package: softhsm
Version: 1.3.3-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts replaces-without-breaks

Hi,

during a test with piuparts I noticed your package causes
removal of files that also belong to another package.

>From the attached log (scroll to the bottom...):

0m25.7s ERROR: FAIL: After purging files have disappeared:
  /etc/softhsm/softhsm.conf	 owned by: softhsm

If the disappearing file is owned by softhsm, it must have existed
before softhsm was installed.

Looking further up in the logfile:

  Setting up softhsm-common (1.3.3-1) ...
  dpkg-statoverride: warning: --update given but /var/lib/softhsm does not exist
  
  Creating config file /etc/softhsm/softhsm.conf with new version

That does not look correct ... softhsm.conf was created by
softhsm-common and is shippd by softhsm as a conffile.
And softhsm-common should create /var/lib/softhsm first (or better ship
it as an empty directory in the package, otherwise the statoverride is
useless)

Cheers,

Andreas
[softhsm_1.3.3-1.log.gz (application/x-gzip, attachment)]

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Fri, 13 Jul 2012 09:06:45 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Fri, 13 Jul 2012 09:06:46 GMT) Full text and rfc822 format available.

Message #10 received at 681311-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 681311-close@bugs.debian.org
Subject: Bug#681311: fixed in softhsm 1.3.3-2
Date: Fri, 13 Jul 2012 09:02:26 +0000
Source: softhsm
Source-Version: 1.3.3-2

We believe that the bug you reported is fixed in the latest version of
softhsm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681311@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated softhsm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 Jul 2012 14:07:12 +0200
Source: softhsm
Binary: softhsm-common softhsm libsofthsm-dev libsofthsm softhsm-dbg
Architecture: source amd64
Version: 1.3.3-2
Distribution: unstable
Urgency: high
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libsofthsm - a cryptographic store accessible through a PKCS #11
 libsofthsm-dev - a cryptographic store accessible through a PKCS #11
 softhsm    - a cryptographic store accessible through a PKCS #11
 softhsm-common - a cryptographic store accessible through a PKCS #11
 softhsm-dbg - Debug symbols for SoftHSM
Closes: 681311
Changes: 
 softhsm (1.3.3-2) unstable; urgency=high
 .
   * Don't install /etc/softhsm/softhsm.conf to softhsm package
     (Closes: #681311)
   * Add an empty /var/lib/softhsm directory to the softhsm-common
     package
Checksums-Sha1: 
 804ad418221c7c9dc167bb2a171bc0d8f4ca8277 1540 softhsm_1.3.3-2.dsc
 3d7aef55c597f18f237b2745b6818af9beae2785 7595 softhsm_1.3.3-2.debian.tar.gz
 5caef65eaee68bdfc9986a899b12854f804cc6e7 13086 softhsm-common_1.3.3-2_amd64.deb
 9d18bde6677aadf2d31bd3534da25ddc2a8d759c 47256 softhsm_1.3.3-2_amd64.deb
 cb36d1b9766d95411ad1fee8142251709f03a14e 76332 libsofthsm-dev_1.3.3-2_amd64.deb
 030b2145ad12fea9f2808b71c867cc81a9c0fe30 51338 libsofthsm_1.3.3-2_amd64.deb
 83c450c7d5482c42bd89a623147d05f1022db584 558902 softhsm-dbg_1.3.3-2_amd64.deb
Checksums-Sha256: 
 5a207dd8837d2ccd9376ee879937f206811964c24067d90e98a3cf8c63e1102d 1540 softhsm_1.3.3-2.dsc
 fd5cdfe0691ce05daf87f29afccd2b6cd86038fd1f683ffc894e86546a15bd7f 7595 softhsm_1.3.3-2.debian.tar.gz
 48b1de588426506bfe190354127cfe3712896997e8cd786810aaaae2268b3cce 13086 softhsm-common_1.3.3-2_amd64.deb
 7d4ef879f01972ffa062bc151b4e3b0781266896360b3a7ea30df08b9c4a0f14 47256 softhsm_1.3.3-2_amd64.deb
 8b50530f6ae2d840ad9d29d9cb0137b43d191d2beeece1ec1b7cba719ca26acd 76332 libsofthsm-dev_1.3.3-2_amd64.deb
 1352f67ab56851ec6b16f15337ef33572778d9c98297b72202b58f1b1d801723 51338 libsofthsm_1.3.3-2_amd64.deb
 592f2dddda7fc5895731610fb998f94b37954a19fb56c0c73d284715c41da6af 558902 softhsm-dbg_1.3.3-2_amd64.deb
Files: 
 c9a63db6fedb48b831fbe44ea82aa7a0 1540 admin extra softhsm_1.3.3-2.dsc
 f0eb0e74b3eff0da8f9670397ee5fd7f 7595 admin extra softhsm_1.3.3-2.debian.tar.gz
 838c03575423e5392a1ecb784f4262e5 13086 admin extra softhsm-common_1.3.3-2_amd64.deb
 59b250d4331b9a31005a533c73d8aad7 47256 admin extra softhsm_1.3.3-2_amd64.deb
 ef6c554aa1dff160d29d475c6f18fd2a 76332 libdevel extra libsofthsm-dev_1.3.3-2_amd64.deb
 31eb188d5c271e285fb6b212503b408b 51338 libs extra libsofthsm_1.3.3-2_amd64.deb
 877c2bcf3fa8f96ed68087693ba93ada 558902 debug extra softhsm-dbg_1.3.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk//2pgACgkQ9OZqfMIN8nOJ+ACeKVan5dAZ0tsHiV4egU30PhMe
qYUAoJ3zHxhHfEaHGCllGGTEQJphGACV
=UMGA
-----END PGP SIGNATURE-----





Marked as found in versions softhsm/1.1.4-4+squeeze1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 22 Jul 2012 10:06:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:31:30 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:35:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:53:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.